Bug 588382 - [abrt] crash in evolution-2.30.1-2.fc13: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] crash in evolution-2.30.1-2.fc13: Process /usr/bin/evolution was kille...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-mapi (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:1e09dfb53279d75c515a426e07a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-03 11:49 EDT by Chad Feller
Modified: 2011-06-27 12:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:03:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (68.66 KB, text/plain)
2010-05-03 11:49 EDT, Chad Feller
no flags Details

  None (edit)
Description Chad Feller 2010-05-03 11:49:11 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: evolution
comment: I was emptying the trash, evolution hung momentarily and then crashed
component: evolution
executable: /usr/bin/evolution
global_uuid: 1e09dfb53279d75c515a426e07aa8eca1e0150d2
kernel: 2.6.33.2-57.fc13.x86_64
package: evolution-2.30.1-2.fc13
rating: 4
reason: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. right click on "Deleted Items"
2. select empty trash
3.
Comment 1 Chad Feller 2010-05-03 11:49:12 EDT
Created attachment 411042 [details]
File: backtrace
Comment 2 Chad Feller 2010-05-12 14:54:35 EDT
changed to evolution-mapi.  I suspect this to be a mapi bug as this wasn't a problem when evolution was configured for IMAP.
Comment 3 Chad Feller 2010-05-12 15:07:27 EDT
Here is how to consistently reproduce this:

1) Delete one or more items in "Inbox".
2) Immediately select "Deleted Items".
3) Right click on "Deleted Items".
4) Select "Empty Trash".

The issue seems to be that the trash is getting emptied before the inbox is getting refreshed.  If, change that sequence to something like:

1) Delete one or more items in "Inbox".
2) Select another folder (can be folder foo, or even "Deleted Items").
3) Select "Inbox" (which causes the Inbox to be refreshed).
4) Immediately select "Deleted Items".
5) Right click on "Deleted Items".
6) Select "Empty Trash".

or

1) Delete one or more items in "Inbox".
2) Press F5 to refresh inbox.
3) Immediately select "Deleted Items"
4) Right click on "Deleted Items".
5) Select "Empty Trash".

Then it won't crash.

This crash seems to have something to do with the Inbox being refreshed before Deleted Items are emptied.
Comment 4 Chad Feller 2010-05-12 15:08:14 EDT
and of course this peculiar method to empty Deleted Items is the workaround to bug# 587741.
Comment 5 Bug Zapper 2011-06-02 10:32:49 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 12:03:55 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.